package com.chenyang.nse.bussiness.entity.orm.table.base;

import com.chenyang.nse.bussiness.entity.orm.table.TInitEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_BASE_BUTTON"
)
public class TBaseButton extends TInitEntity {
   private Date createtime;
   private String buttonname;
   private String menuid;
   private String operatename;

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public String getButtonname() {
      return this.buttonname;
   }

   public void setButtonname(String buttonname) {
      this.buttonname = buttonname;
   }

   public String getMenuid() {
      return this.menuid;
   }

   public void setMenuid(String menuid) {
      this.menuid = menuid;
   }

   public String getOperatename() {
      return this.operatename;
   }

   public void setOperatename(String operatename) {
      this.operatename = operatename;
   }
}
